searchNodes=[{"doc":"This module implements the ExPassword.Algorithm behaviour to add support for Bcrypt hashing algorithms. Except for specific details about proper options and deeper details, you might looking for ExPassword 's documentation.","ref":"ExPassword.Bcrypt.html","title":"ExPassword.Bcrypt","type":"module"},{"doc":"Extracts informations from a given bcrypt hash (the options used to generate it in the first place) Returns {:error, :invalid} if hash is not a valid bcrypt hash else {:ok, map} where map is a Map which contains all the parameters that permitted to compute this hash. iex&gt; ExPassword.Bcrypt . get_options ( &quot;$2a$04$5DCebwootqWMCp59ISrMJ.l4WvgHIVg17ZawDIrDM2IjlE64GDNQS&quot; ) { :ok , %{ cost : 4 } }","ref":"ExPassword.Bcrypt.html#get_options/1","title":"ExPassword.Bcrypt.get_options/1","type":"function"},{"doc":"Computes the hash for password . A salt of 16 bytes is randomly generated and prepended to password before hashing. Valid options are: cost: the algorithmic cost. It defines the number of iterations as a power of two (2^ cost ) so higher is the cost longer it takes to compute it (and consequently brute force it) An ArgumentError will be raised if one of the options above is invalid or if an internal error occurs.","ref":"ExPassword.Bcrypt.html#hash/2","title":"ExPassword.Bcrypt.hash/2","type":"function"},{"doc":"Compares the options used to generate hash to options and returns true if they differ, which means you should rehash the password to update its hash.","ref":"ExPassword.Bcrypt.html#needs_rehash?/2","title":"ExPassword.Bcrypt.needs_rehash?/2","type":"function"},{"doc":"Returns true if hash seems to be a Bcrypt hash. This function is intended to quickly identify the algorithm which produces the given hash. It does not perform extended checks like get_options/1 nor needs_rehash?/2 nor verify?/2 do.","ref":"ExPassword.Bcrypt.html#valid?/1","title":"ExPassword.Bcrypt.valid?/1","type":"function"},{"doc":"Checks that a password matches the given bcrypt hash An ArgumentError will be raised if the hash is somehow invalid or if an internal error occurs.","ref":"ExPassword.Bcrypt.html#verify?/2","title":"ExPassword.Bcrypt.verify?/2","type":"function"},{"doc":"","ref":"ExPassword.Bcrypt.Application.html","title":"ExPassword.Bcrypt.Application","type":"module"}]